<?php
// add_user.php
session_start();
if (!isset($_SESSION['user']) || $_SESSION['user']['role'] !== 'admin') {
    exit('❌ 无权限访问');
}

// 数据库连接
require_once '../config.php';
$conn = get_db_connection();
?>

<!DOCTYPE html>
<html lang="zh">

<head>
    <meta charset="UTF-8">
    <title>新增用户</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div class="header">
        <h2>新增用户</h2>
        <a href="list_users.php" class="btn btn-secondary">返回列表</a>
    </div>

    <div class="container">
        <form action="save_user.php" method="post" target="response-frame" id="user-form">
            <div class="form-row">
                <div class="form-col">
                    <label>用户名:</label>
                    <input type="text" name="username" required>
                </div>
                <div class="form-col">
                    <label>密码:</label>
                    <input type="password" name="password" required>
                </div>
            </div>

            <div class="form-row">
                <div class="form-col">
                    <label>姓名:</label>
                    <input type="text" name="real_name">
                </div>
                <div class="form-col">
                    <label>角色:</label>
                    <select name="role" required>
                        <option value="user">普通用户</option>
                        <option value="finance">财务</option>
                        <option value="admin">系统管理员</option>
                    </select>
                </div>
            </div>

            <div class="form-row">
                <div class="form-col">
                    <label>邮箱:</label>
                    <input type="email" name="email">
                </div>
                <div class="form-col">
                    <label>电话:</label>
                    <input type="text" name="phone">
                </div>
            </div>

            <div class="form-row">
                <div class="form-col form-col-checkbox">
                    <label>是否启用:</label>
                    <input type="checkbox" name="is_active" value="1" checked>
                </div>
            </div>

            <div class="btn-group">
                <button type="reset" class="btn btn-secondary">清空</button>
                <button type="submit" class="btn">保存</button>
            </div>
        </form>
    </div>

    <!-- 消息显示 -->
    <div id="message-container" class="message" style="display: none;">
        <span id="message-text"></span>
        <button onclick="document.getElementById('message-container').style.display='none'">×</button>
    </div>

    <!-- 隐藏iframe用于接收返回 -->
    <iframe name="response-frame" id="response-frame" style="display:none;"></iframe>

    <script>
        // 提交完成后显示返回消息
        document.getElementById('response-frame').onload = function() {
            try {
                var response = this.contentWindow.document.body.innerHTML;
                if (response.includes("✅")) {
                    document.getElementById("user-form").reset();
                    showMessage(response);
                } else if (response.includes("❌")) {
                    alert(response);
                }
            } catch (e) {}
        };

        function showMessage(text) {
            const box = document.getElementById("message-container");
            document.getElementById("message-text").innerText = text;
            box.style.display = "flex";
            setTimeout(() => box.style.display = "none", 3000);
        }
    </script>
</body>

</html>